diff --git a/src/backend/postmaster/postmaster.c b/src/backend/postmaster/postmaster.c
index e350dd2..95693a7 100644
--- a/src/backend/postmaster/postmaster.c
+++ b/src/backend/postmaster/postmaster.c
@@ -1157,8 +1157,9 @@ PostmasterMain(int argc, char *argv[])
 
 	/*
 	 * Write the external PID file if requested
-	 */
-	if (external_pid_file)
+     * We check that external_pid_file is not an empty string
+     */
+	if (strlen(external_pid_file))
 	{
 		FILE	   *fpidfile = fopen(external_pid_file, "w");
 
@@ -1351,7 +1352,10 @@ CloseServerPorts(int status, Datum arg)
 static void
 unlink_external_pid_file(int status, Datum arg)
 {
-	if (external_pid_file)
+    /*
+     * We check that external_pid_file is not an empty string
+     */
+	if (strlen(external_pid_file))
 		unlink(external_pid_file);
 }
 
diff --git a/src/backend/utils/misc/guc.c b/src/backend/utils/misc/guc.c
index 60148b8..a54ea07 100644
--- a/src/backend/utils/misc/guc.c
+++ b/src/backend/utils/misc/guc.c
@@ -436,7 +436,7 @@ int			temp_file_limit = -1;
 
 int			num_temp_buffers = 1024;
 
-char	   *cluster_name = "";
+char	   *cluster_name;
 char	   *ConfigFileName;
 char	   *HbaFileName;
 char	   *IdentFileName;
@@ -3422,7 +3422,7 @@ static struct config_string ConfigureNamesString[] =
 			GUC_SUPERUSER_ONLY
 		},
 		&external_pid_file,
-		NULL,
+		"",
 		check_canonical_path, NULL, NULL
 	},
 
